persistent-2.17.1.0: Type-safe, multi-backend data serialization.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Database.Persist.SqlBackend.Internal.IsolationLevel

Synopsis

- data IsolationLevel
  - = ReadUncommitted
  - | ReadCommitted
  - | RepeatableRead
  - | Serializable
- makeIsolationLevelStatement :: (Monoid s, IsString s) => IsolationLevel -> s

# Documentation

data IsolationLevel Source #

Please refer to the documentation for the database in question for a full overview of the semantics of the varying isolation levels

Constructors

ReadUncommitted |
ReadCommitted |
RepeatableRead |
Serializable |

#### Instances

Instances details

Bounded IsolationLevel Source # |
Instance details Defined in Database.Persist.SqlBackend.Internal.IsolationLevel Methods minBound :: IsolationLevel Source # maxBound :: IsolationLevel Source #
Enum IsolationLevel Source # |

Instance details

Defined in Database.Persist.SqlBackend.Internal.IsolationLevel

Methods

succ :: IsolationLevel -> IsolationLevel Source #

pred :: IsolationLevel -> IsolationLevel Source #

toEnum :: Int -> IsolationLevel Source #

fromEnum :: IsolationLevel -> Int Source #

enumFrom :: IsolationLevel -> [IsolationLevel] Source #

enumFromThen :: IsolationLevel -> IsolationLevel -> [IsolationLevel] Source #

enumFromTo :: IsolationLevel -> IsolationLevel -> [IsolationLevel] Source #

enumFromThenTo :: IsolationLevel -> IsolationLevel -> IsolationLevel -> [IsolationLevel] Source #

Show IsolationLevel Source # |
Instance details Defined in Database.Persist.SqlBackend.Internal.IsolationLevel Methods showsPrec :: Int -> IsolationLevel -> ShowS Source # show :: IsolationLevel -> String Source # showList :: [IsolationLevel] -> ShowS Source #
Eq IsolationLevel Source # |
Instance details Defined in Database.Persist.SqlBackend.Internal.IsolationLevel Methods (==) :: IsolationLevel -> IsolationLevel -> Bool Source # (/=) :: IsolationLevel -> IsolationLevel -> Bool Source #
Ord IsolationLevel Source # |

Instance details

Defined in Database.Persist.SqlBackend.Internal.IsolationLevel

Methods

compare :: IsolationLevel -> IsolationLevel -> Ordering Source #

(<) :: IsolationLevel -> IsolationLevel -> Bool Source #

(<=) :: IsolationLevel -> IsolationLevel -> Bool Source #

(>) :: IsolationLevel -> IsolationLevel -> Bool Source #

(>=) :: IsolationLevel -> IsolationLevel -> Bool Source #

max :: IsolationLevel -> IsolationLevel -> IsolationLevel Source #

min :: IsolationLevel -> IsolationLevel -> IsolationLevel Source #

makeIsolationLevelStatement :: (Monoid s, IsString s) => IsolationLevel -> s Source #